## lxml-html-clean 0.4.3

=== docs/requirements.txt ===
lxml
sphinx
sphinx-rtd-theme

## lxml-html-clean 0.1.1

=== debian/changelog ===
lxml-html-clean (0.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Apr 2024 15:31:53 +0200

lxml-html-clean (0.1.0-1) unstable; urgency=medium

  * Initial release, split out from lxml.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Apr 2024 22:49:28 +0200

=== debian/control ===
Source: lxml-html-clean
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-lxml,
Standards-Version: 4.6.2
Homepage: https://github.com/fedora-python/lxml_html_clean

Package: python3-lxml-html-clean
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: blocklist-based HTML cleaner
 This project was initially a part of lxml. Because HTML cleaner is
 designed as blocklist-based, many reports about possible security
 vulnerabilities were filed for lxml and that make the project
 problematic for security-sensitive environments.
 .
 Therefore the distribution as a separate project.

## lxml-html-clean 0.2.0

=== debian/changelog ===
lxml-html-clean (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Aug 2024 02:40:19 +0200

## lxml-html-clean 0.2.1

=== debian/changelog ===
lxml-html-clean (0.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 14:47:35 +0200

## lxml-html-clean 0.2.2

=== debian/changelog ===
lxml-html-clean (0.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 14:53:42 +0200

## lxml-html-clean 0.3.1

=== debian/changelog ===
lxml-html-clean (0.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Oct 2024 12:20:32 +0200

## lxml-html-clean 0.4.1

=== debian/changelog ===
lxml-html-clean (0.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Nov 2024 08:27:49 +0100

## lxml-html-clean 0.4.2

=== debian/changelog ===
lxml-html-clean (0.4.2-1) unstable; urgency=medium

  * New upstream version.
  * `lxml_html_clean` now correctly handles HTML input as bytes
    as it did before the 0.2.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Apr 2025 07:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
  python3-all,
  python3-lxml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fedora-python/lxml_html_clean
 
 Package: python3-lxml-html-clean

## lxml-html-clean 0.4.3

=== debian/changelog ===
lxml-html-clean (0.4.3-1) unstable; urgency=medium

  * New upstream version. Closes: #1114193.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 11:15:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
  python3-all,
  python3-lxml,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fedora-python/lxml_html_clean
 
 Package: python3-lxml-html-clean

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=lxml-html-clean

%:
	dh $@ --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/fedora-python/lxml_html_clean/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
